# first install the dependency
# pip install pyTelegramBotAPI

import telebot

# Function to handle incoming messages
def handle_messages(message):
    try:
        # Respond to the user with their message
        bot.send_message(message.chat.id, "Вы написали мне: " + message.text, parse_mode="Markdown")
    except Exception as e:
        # Handle any errors that may occur
        print("Ошибка:", e)

# Function to handle errors
def handle_errors(e):
    # Display error message
    print("Ошибка:", e)

# Capture API token from user input
api_token = input("Введите API токен бота: ")

# Initialize the bot with the API token
bot = telebot.TeleBot(api_token)

# Start listening for messages
@bot.message_handler(func=lambda message: True)
def handle_message(message):
    handle_messages(message)

# Start the bot
bot.polling(none_stop=True, interval=0)

# Display a message indicating the bot has started
print("Бот запущен")

# Keep the console application running
while True:
    try:
        # Continue polling for new updates
        bot.polling(none_stop=True)
    except Exception as e:
        # Handle any errors that occur during polling
        handle_errors(e)
